Gentoo Archives: gentoo-commits

From: Kent Fredric <kentnl@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-perl/Ace/
Date: Fri, 03 Jul 2020 00:07:50
Message-Id: 1593734233.90560afd82286c37f0f62665ba5e090c3e786e2f.kentnl@gentoo
1 commit: 90560afd82286c37f0f62665ba5e090c3e786e2f
2 Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
3 AuthorDate: Thu Jul 2 23:13:06 2020 +0000
4 Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
5 CommitDate: Thu Jul 2 23:57:13 2020 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90560afd
7
8 dev-perl/Ace: -r bump for CFLAGS love
9
10 - Ensure CFLAGS passed to make/compile
11 - Re-organize DEPEND to appease BAS-IMP-ebuild_multiple_deps_per_line
12 - Localise override of make -j1 to inside src_compile
13 - Slightly indent URL display for readability
14
15 Package-Manager: Portage-2.3.100, Repoman-2.3.22
16 Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>
17
18 dev-perl/Ace/Ace-1.920.0-r6.ebuild | 145 +++++++++++++++++++++++++++++++++++++
19 1 file changed, 145 insertions(+)
20
21 diff --git a/dev-perl/Ace/Ace-1.920.0-r6.ebuild b/dev-perl/Ace/Ace-1.920.0-r6.ebuild
22 new file mode 100644
23 index 00000000000..61f9208c446
24 --- /dev/null
25 +++ b/dev-perl/Ace/Ace-1.920.0-r6.ebuild
26 @@ -0,0 +1,145 @@
27 +# Copyright 1999-2020 Gentoo Authors
28 +# Distributed under the terms of the GNU General Public License v2
29 +
30 +EAPI=7
31 +
32 +DIST_NAME=AcePerl
33 +DIST_AUTHOR=LDS
34 +DIST_VERSION=1.92
35 +DIST_EXAMPLES=("examples/*")
36 +inherit perl-module toolchain-funcs
37 +
38 +DESCRIPTION="Object-Oriented Access to ACEDB Databases"
39 +
40 +SLOT="0"
41 +KEYWORDS="~amd64 ~x86"
42 +IUSE="test"
43 +RESTRICT="!test? ( test ) mirror"
44 +# License note: Indemnification and Attribution-if-Used bug #718936
45 +RDEPEND="
46 + virtual/perl-Digest-MD5
47 + dev-perl/Cache-Cache
48 + dev-perl/GD
49 +"
50 +DEPS_TIRPC="
51 + net-libs/libtirpc
52 + net-libs/rpcsvc-proto
53 +"
54 +DEPEND="
55 + elibc_glibc? ( ${DEPS_TIRPC} )
56 + elibc_musl? ( ${DEPS_TIRPC} )
57 + elibc_uclibc? ( ${DEPS_TIRPC} )
58 +"
59 +BDEPEND="
60 + ${RDEPEND}
61 + ${DEPEND}
62 +"
63 +mydoc="DISCLAIMER.txt"
64 +src_prepare() {
65 + eapply "${FILESDIR}/${PN}-1.92-rpcxs.patch"
66 + eapply "${FILESDIR}/${PN}-1.92-gcc-nonvoid.patch"
67 + eapply "${FILESDIR}/${PN}-1.92-toolchain.patch"
68 + cp "${FILESDIR}/${PN}-1.92-DARWIN_DEF" "${S}/acelib/wmake/DARWIN_DEF" || die "can't copy DARWIN_DEF"
69 + if use elibc_glibc || use elibc_musl || use elibc_uclibc ; then
70 + export LIBS="-ltirpc"
71 + fi
72 + perl-module_src_prepare
73 +}
74 +src_compile() {
75 + mymake=(
76 + "AR=$(tc-getAR)"
77 + "TARGET_CC=$(tc-getCC)"
78 + "TARGET_LD=$(tc-getLD)"
79 + "RANLIB=$(tc-getRANLIB)"
80 + "OPTIMIZE=${CFLAGS}"
81 + # Parallel compile breaks :(
82 + "-j1"
83 + )
84 + if use elibc_glibc || use elibc_musl || use elibc_uclibc ; then
85 + mymake+=( "LIBS=-ltirpc -lm" )
86 + mymake+=( "USEROPTS=-I/usr/include/tirpc -fPIC" )
87 + fi
88 + perl-module_src_compile
89 +}
90 +
91 +src_test() {
92 + local MODULES=(
93 + "Ace ${DIST_VERSION}"
94 + "Ace::Freesubs 1.00"
95 + "Ace::Graphics::Fk" # NO VERSION
96 + "Ace::Graphics::Glyph"
97 + "Ace::Graphics::Glyph::anchored_arrow"
98 + "Ace::Graphics::Glyph::arrow"
99 + "Ace::Graphics::Glyph::box"
100 + "Ace::Graphics::Glyph::crossbox"
101 + "Ace::Graphics::Glyph::dot"
102 + "Ace::Graphics::Glyph::ex"
103 + "Ace::Graphics::Glyph::graded_segments"
104 + "Ace::Graphics::Glyph::group"
105 + "Ace::Graphics::Glyph::line"
106 + "Ace::Graphics::Glyph::primers"
107 + "Ace::Graphics::Glyph::segments"
108 + "Ace::Graphics::Glyph::span"
109 + "Ace::Graphics::Glyph::toomany"
110 + "Ace::Graphics::Glyph::transcript"
111 + "Ace::Graphics::Glyph::triangle"
112 + "Ace::Graphics::GlyphFactory"
113 + "Ace::Graphics::Panel"
114 + "Ace::Graphics::Track"
115 + "Ace::Iterator 1.51"
116 + "Ace::Local 1.05"
117 + "Ace::Model 1.51"
118 + "Ace::Object 1.66"
119 + "Ace::Object::Wormbase"
120 + "Ace::RPC 1.00"
121 + "Ace::Sequence 1.51"
122 + "Ace::Sequence::Feature"
123 + "Ace::Sequence::FeatureList"
124 + "Ace::Sequence::GappedAlignment 1.20"
125 + "Ace::Sequence::Gene"
126 + "Ace::Sequence::Homol"
127 + "Ace::Sequence::Multi"
128 + "Ace::Sequence::Transcript"
129 + "Ace::SocketServer 1.01"
130 + "GFF::Filehandle"
131 +# Need Ace::Browser
132 +# "Ace::Browser::AceSubs ${DIST_VERSION}"
133 +# "Ace::Browser::GeneSubs ${DIST_VERSION}"
134 +# "Ace::Browser::SearchSubs ${DIST_VERSION}"
135 +# "Ace::Browser::SiteDefs ${DIST_VERSION}"
136 +# "Ace::Browser::TreeSubs ${DIST_VERSION}"
137 + )
138 + local failed=()
139 + for dep in "${MODULES[@]}"; do
140 + ebegin "Compile testing ${dep}"
141 + perl -Mblib="${S}" -M"${dep} ()" -e1
142 + eend $? || failed+=( "$dep" )
143 + done
144 + if [[ ${failed[@]} ]]; then
145 + echo
146 + eerror "One or more modules failed compile:";
147 + for dep in "${failed[@]}"; do
148 + eerror " ${dep}"
149 + done
150 + die "Failing due to module compilation errors";
151 + fi
152 + if ! has "network" "${DIST_TEST_OVERRIDE:-${DIST_TEST:-do parallel}}"; then
153 + ewarn "This package needs network access to run its full test suite"
154 + ewarn "For details, see:"
155 + ewarn " https://wiki.gentoo.org/wiki/Project:Perl/maint-nodes/dev-perl/Ace"
156 + ewarn ""
157 + else
158 + perl-module_src_test
159 + fi
160 +}
161 +
162 +pkg_postinst() {
163 + ewarn "This package requests that publications that made use of this software"
164 + ewarn "in the process of their research attribute it."
165 + ewarn ""
166 + ewarn "This package's licensing terms also include indemnification clauses"
167 + ewarn "which may apply to you, and are currently under decision in"
168 + ewarn " Bug: https://bugs.gentoo.org/718936"
169 + ewarn ""
170 + ewarn "Please read ${EROOT}/usr/share/doc/${PF}/DISCLAIMER.*"
171 +}